package cn.com.countrygarden.bi.main.dto.districtReport;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;

public class repossessedERP {

    private String commid;//项目id

    private String commName;//项目名
    /**
     * 规划占地面积
     */
    private BigDecimal planPlaceArea;
    /**
     * 规划建筑面积
     */
    private BigDecimal planBuildArea;
    /**
     * 接管建筑面积
     */
    private BigDecimal managerArea;
    /**
     * 规划车位面积
     */
    private BigDecimal planCarArea;
    /**
     * 可收费面积-住宅
     */
    private BigDecimal houseChargesArea;
    /**
     * 可收费面积-商业
     */
    private BigDecimal businessChargesArea;
    /**
     * 规划户数（户）
     */
    private Integer planHouseholds;
    /**
     * 累积接管户数（户）
     */
    private Integer managerHouseholds;
    /**
     * 接管车位数（户）
     */
    private Integer managerCarHouseholds;
    /**
     * 业态构成
     */
    private String industryComposition;
    /**
     * 首批交付时间
     */
    @JsonFormat(pattern="yyyy/MM/dd HH:mm:ss",timezone = "GMT+8")
    private Date firstPayDate;
    /**
     * 物业费标准（元/㎡/月）
     */
    private String propertyPrice;
    /**
     * 车位服务费标准（元/月）
     */
    private String carPrice;
    /**
     * 物业费综合收缴率
     */
    private String propertyCollectionRate;
    /**
     * 往年欠费追缴率
     */
    private String lastYearRecoveryRate;
    /**
     * 绿化面积（㎡）
     */
    private BigDecimal greenArea;
    /**
     * 容积率
     */
    private BigDecimal volumeRatio;
    /**
     * 建筑密度
     */
    private BigDecimal buildingDensity;
    /**
     * 项目地址
     */
    private String projectPlace;
    /**
     * 办公地址
     */
    private String officePlace;
    /**
     * 联系方式
     */
    private String contact;
    /**
     * 项目负责人
     */
    private String projectResponsibler;

    public String getCommid() {
        return commid;
    }

    public void setCommid(String commid) {
        this.commid = commid;
    }

    public String getCommName() {
        return commName;
    }

    public void setCommName(String commName) {
        this.commName = commName;
    }

    public BigDecimal getPlanPlaceArea() {
        return planPlaceArea;
    }

    public void setPlanPlaceArea(BigDecimal planPlaceArea) {
        this.planPlaceArea = planPlaceArea;
    }

    public BigDecimal getPlanBuildArea() {
        return planBuildArea;
    }

    public void setPlanBuildArea(BigDecimal planBuildArea) {
        this.planBuildArea = planBuildArea;
    }

    public BigDecimal getManagerArea() {
        return managerArea;
    }

    public void setManagerArea(BigDecimal managerArea) {
        this.managerArea = managerArea;
    }

    public BigDecimal getPlanCarArea() {
        return planCarArea;
    }

    public void setPlanCarArea(BigDecimal planCarArea) {
        this.planCarArea = planCarArea;
    }

    public BigDecimal getHouseChargesArea() {
        return houseChargesArea;
    }

    public void setHouseChargesArea(BigDecimal houseChargesArea) {
        this.houseChargesArea = houseChargesArea;
    }

    public BigDecimal getBusinessChargesArea() {
        return businessChargesArea;
    }

    public void setBusinessChargesArea(BigDecimal businessChargesArea) {
        this.businessChargesArea = businessChargesArea;
    }

    public Integer getPlanHouseholds() {
        return planHouseholds;
    }

    public void setPlanHouseholds(Integer planHouseholds) {
        this.planHouseholds = planHouseholds;
    }

    public Integer getManagerHouseholds() {
        return managerHouseholds;
    }

    public void setManagerHouseholds(Integer managerHouseholds) {
        this.managerHouseholds = managerHouseholds;
    }

    public Integer getManagerCarHouseholds() {
        return managerCarHouseholds;
    }

    public void setManagerCarHouseholds(Integer managerCarHouseholds) {
        this.managerCarHouseholds = managerCarHouseholds;
    }

    public String getIndustryComposition() {
        return industryComposition;
    }

    public void setIndustryComposition(String industryComposition) {
        this.industryComposition = industryComposition;
    }

    public Date getFirstPayDate() {
        return firstPayDate;
    }

    public void setFirstPayDate(Date firstPayDate) {
        this.firstPayDate = firstPayDate;
    }

    public String getPropertyPrice() {
        return propertyPrice;
    }

    public void setPropertyPrice(String propertyPrice) {
        this.propertyPrice = propertyPrice;
    }

    public String getCarPrice() {
        return carPrice;
    }

    public void setCarPrice(String carPrice) {
        this.carPrice = carPrice;
    }

    public String getPropertyCollectionRate() {
        return propertyCollectionRate;
    }

    public void setPropertyCollectionRate(String propertyCollectionRate) {
        this.propertyCollectionRate = propertyCollectionRate;
    }

    public String getLastYearRecoveryRate() {
        return lastYearRecoveryRate;
    }

    public void setLastYearRecoveryRate(String lastYearRecoveryRate) {
        this.lastYearRecoveryRate = lastYearRecoveryRate;
    }

    public BigDecimal getGreenArea() {
        return greenArea;
    }

    public void setGreenArea(BigDecimal greenArea) {
        this.greenArea = greenArea;
    }

    public BigDecimal getVolumeRatio() {
        return volumeRatio;
    }

    public void setVolumeRatio(BigDecimal volumeRatio) {
        this.volumeRatio = volumeRatio;
    }

    public BigDecimal getBuildingDensity() {
        return buildingDensity;
    }

    public void setBuildingDensity(BigDecimal buildingDensity) {
        this.buildingDensity = buildingDensity;
    }

    public String getProjectPlace() {
        return projectPlace;
    }

    public void setProjectPlace(String projectPlace) {
        this.projectPlace = projectPlace;
    }

    public String getOfficePlace() {
        return officePlace;
    }

    public void setOfficePlace(String officePlace) {
        this.officePlace = officePlace;
    }

    public String getContact() {
        return contact;
    }

    public void setContact(String contact) {
        this.contact = contact;
    }

    public String getProjectResponsibler() {
        return projectResponsibler;
    }

    public void setProjectResponsibler(String projectResponsibler) {
        this.projectResponsibler = projectResponsibler;
    }
}
